#####################################################################
# make SUFFIX=32

# don't create gamelist.txt
TEXTS = gamelist.txt

# remove pedantic
$(OBJ)/ui/%.o: src/ui/%.c
	@echo Compiling $<...
	$(CC) $(CDEFS) $(CFLAGS) -c $< -o $@

OBJDIRS += $(OBJ)/ui

# only OS specific output files and rules
OSOBJS += \
	$(OBJ)/ui/m32util.o \
	$(OBJ)/ui/directinput.o \
	$(OBJ)/ui/dijoystick.o \
	$(OBJ)/ui/directdraw.o \
	$(OBJ)/ui/directories.o \
	$(OBJ)/ui/audit32.o \
	$(OBJ)/ui/columnedit.o \
	$(OBJ)/ui/screenshot.o \
	$(OBJ)/ui/treeview.o \
	$(OBJ)/ui/splitters.o \
	$(OBJ)/ui/bitmask.o \
	$(OBJ)/ui/datamap.o \
	$(OBJ)/ui/dxdecode.o \
	$(OBJ)/ui/picker.o \
	$(OBJ)/ui/properties.o \
	$(OBJ)/ui/tabview.o \
	$(OBJ)/ui/help.o \
	$(OBJ)/ui/history.o \
	$(OBJ)/ui/dialogs.o \
	$(OBJ)/ui/win32ui.o \
	$(OBJ)/ui/options.o \
	$(OBJ)/ui/optcore.o \
	$(OBJ)/ui/inifile.o \
	$(OBJ)/ui/layout.o \
	$(OBJ)/ui/datafile.o \
	$(OBJ)/ui/dirwatch.o \
	$(OBJ)/ui/m32main.o


# add resource file
OSOBJS += $(OBJ)/ui/mame32.res

#####################################################################
# compiler

#
# Preprocessor Definitions
#

DEFS += -DWINVER=0x0400 \
        -D_WIN32_IE=0x0500 \
	-DDECL_SPEC= \
        -DZEXTERN=extern \
	-DMAME_VALIDITYCHECKS=0 \
#
#	-DSHOW_UNAVAILABLE_FOLDER


#####################################################################
# Resources

UI_RC = @windres --use-temp-file

UI_RCDEFS = -DNDEBUG -D_WIN32_IE=0x0400

UI_RCFLAGS = -O coff --include-dir src/ui

$(OBJ)/ui/%.res: src/ui/%.rc
	@echo Compiling mame32 resources $<...
	$(UI_RC) $(UI_RCDEFS) $(UI_RCFLAGS) -o $@ -i $<

#####################################################################
# Linker

LIBS += -lkernel32 \
        -lshell32 \
        -lcomctl32 \
        -lcomdlg32 \
        -ladvapi32 \

# use -mconsole for romcmp
LDFLAGS += -mwindows

#####################################################################

